OpenShift 3.7 now has docker-1.13 or is failing to install/update as a result

Solution Verified - Updated -

Issue

  • OpenShift install fails on checking Docker's package version:

    Play:     OpenShift Health Checks
         Task:     Run health checks (install) - EL
         Message:  One or more checks failed
         Details:  check "package_version":
                   Some required package(s) are available at a version
                   that is higher than requested
                     docker-1.13.1
                   This will prevent installing the version you requested.
                   Please check your enabled repositories or adjust openshift_release.
    
  • RHEL 7.4.5 provides updated to docker, and now I need to correct this to say in alignment with what is supported for OpenShift.

Environment

  • OpenShift Container Platform 3.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In